#!/bin/sh
if [ "$1" != "" ]; then
  REMOTEHOST=$1
else
  REMOTEHOST=<fqdn_of_remote_system>
fi
LOGFILE=rsync_home.log
LOCALDIR=$HOME/
REMOTEDIR=$REMOTEHOST:/$HOME/
EXCLUDEFILE=rsync_home-exclude.txt 
ssh-add
rsync -e ssh --exclude-from=$EXCLUDEFILE -avuz $REMOTEDIR $LOCALDIR  >$LOGFILE 2>&1
if [ "$?" == "0" ]; then
  echo "synchronization of local homedir with server homedir successfully done!"
else
  echo "synchronization of local homedir with server homedir failed!"
fi
rsync -e ssh --exclude-from=$EXCLUDEFILE -avuz $LOCALDIR $REMOTEDIR >>$LOGFILE 2>&1
if [ "$?" == "0" ]; then
  echo "synchronization of server homedir with local homedir successfully done!"
else
  echo "synchronization of server homedir with local homedir failed!"
fi
read -p "Finished!"
